ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 3.0

ARMA 3.0 マニュアル

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2014-5
 
 
1 サマリ
 
 
対象システム
ARMA3.0
パッケージ
pixman
概要
図形描画を介した任意のコード実行の可能性
危険度
2
 
 
 
2 詳細
 
 X/cairo のピクセル操作ライブラリである pixman にセキュリティ脆弱性が指摘されています。これは pixman のライブラリを用いたアプリケーションが細工された台形をレンダリングすることで、任意のコードを実行させられてしまう可能性があるという問題です。
 この問題のより詳しい情報については以下を参照してください。
 
「pixman: integer underflow when handling trapezoids」 Red Hat Bugzilla
 
「CVE-2013-6425」 Common Vulnerabilities and Exposures
 
 
 アップデート後の pixman 関連パッケージのバージョンは 0.21.8-1o101 に上がります。
 
 
3 対処方法
 
 root になり下記のようにアップデートをおこなってください。
 
 
# apt-get update
# apt-get install libpixman-1-0
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp